/*
 * WARNING: Generated code. All changes will be lost upon re-generation.
 *
 * Generator org.jdtaus.mojo.resource.util.BundleGenerator 3.0
 * Template META-INF/templates/Bundle.java.vm
 * Generated 2008-10-30T16:06:32.167+0000
 */
package org.jdtaus.core.container.mojo;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

class VerifyModelMojoBundle
{

  /** Singleton instance. */
  private static final VerifyModelMojoBundle instance =
    new VerifyModelMojoBundle();

  /** Creates a new VerifyModelMojoBundle instance. */
  VerifyModelMojoBundle()
  {
    this.getMessage ( "classNotFound", Locale.getDefault() );
    this.getMessage ( "missingImplementedSpecification", Locale.getDefault() );
    this.getMessage ( "missingInterface", Locale.getDefault() );
    this.getMessage ( "modelViolations", Locale.getDefault() );
    this.getMessage ( "unresolvedDependencies", Locale.getDefault() );
    this.getMessage ( "unresolvedDependency", Locale.getDefault() );
    this.getMessage ( "validModel", Locale.getDefault() );
  }

  /**
   * Gets the VerifyModelMojoBundle singleton.
   *
   * @return the VerifyModelMojoBundle singleton.
   */
  static VerifyModelMojoBundle getInstance()
  {
    return instance;
  }

  /**
   * Gets the text of the message with key {@code "classNotFound"}.
   *
   * @return <blockquote><pre>Cannot load class {0}.</pre></blockquote>
   * <blockquote><pre>Kann Klasse {0} nicht laden.</pre></blockquote>
   * 
   */
  String getClassNotFoundMessage
  (
      Locale locale
    , final java.lang.String className
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "classNotFound", locale ), locale ).format(
        new Object[]
        {
            className,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "missingImplementedSpecification"}.
   *
   * @return <blockquote><pre>Implementation {0} implements {1} but does not define it as an implemented specification.</pre></blockquote>
   * <blockquote><pre>Implementierung {0} implementiert {1} ohne entsprechenden Modell-Eintrag.</pre></blockquote>
   * 
   */
  String getMissingImplementedSpecificationMessage
  (
      Locale locale
    , final java.lang.String implementationIdentifier
    , final java.lang.String specificationIdentifier
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "missingImplementedSpecification", locale ), locale ).format(
        new Object[]
        {
            implementationIdentifier,
            specificationIdentifier,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "missingInterface"}.
   *
   * @return <blockquote><pre>Implementation {0} does not implement specification {1} as defined in the model.</pre></blockquote>
   * <blockquote><pre>Implementierung {0} implementiert Spezifikation {1} nicht, obwohl im Modell angegeben.</pre></blockquote>
   * 
   */
  String getMissingInterfaceMessage
  (
      Locale locale
    , final java.lang.String implementationIdentifier
    , final java.lang.String specificationIdentifier
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "missingInterface", locale ), locale ).format(
        new Object[]
        {
            implementationIdentifier,
            specificationIdentifier,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "modelViolations"}.
   *
   * @return <blockquote><pre>Invalid model.</pre></blockquote>
   * <blockquote><pre>Ungültiges Modell.</pre></blockquote>
   * 
   */
  String getModelViolationsMessage
  (
    final Locale locale
  )
  {
    return this.getMessage( "modelViolations", locale );
  }
  /**
   * Gets the text of the message with key {@code "unresolvedDependencies"}.
   *
   * @return <blockquote><pre>Model has unresolved dependencies.</pre></blockquote>
   * <blockquote><pre>Modell enthält nicht aufgelöste Abhängigkeiten.</pre></blockquote>
   * 
   */
  String getUnresolvedDependenciesMessage
  (
    final Locale locale
  )
  {
    return this.getMessage( "unresolvedDependencies", locale );
  }
  /**
   * Gets the text of the message with key {@code "unresolvedDependency"}.
   *
   * @return <blockquote><pre>* {0}<{1}> {2}</pre></blockquote>
   * <blockquote><pre>* {0}<{1}> {2}</pre></blockquote>
   * 
   */
  String getUnresolvedDependencyMessage
  (
      Locale locale
    , final java.lang.String specificationIdentifier
    , final java.lang.String moduleName
    , final java.lang.String version
  )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat( this.getMessage(
        "unresolvedDependency", locale ), locale ).format(
        new Object[]
        {
            specificationIdentifier,
            moduleName,
            version,
            null
        } );

  }
  /**
   * Gets the text of the message with key {@code "validModel"}.
   *
   * @return <blockquote><pre>Model processed successfully.</pre></blockquote>
   * <blockquote><pre>Modell erfolgreich verarbeitet.</pre></blockquote>
   * 
   */
  String getValidModelMessage
  (
    final Locale locale
  )
  {
    return this.getMessage( "validModel", locale );
  }

  /**
   * Gets a message for a given key and locale.
   *
   * @param key the key of the message to return.
   * @param locale the locale of the message.
   *
   * @return message for {@code key} using {@code locale}.
   */
  private String getMessage( final String key, Locale locale )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return ResourceBundle.getBundle(
        "org/jdtaus/core/container/mojo/VerifyModelMojoBundle", locale ).
        getString( key );

  }
}
